<?php

/**
 * 
 * @author Christian Doebler <christian.doebler@netways.de>
 *
 */
abstract class IcingaApiConnection
	extends IcingaApi {

	/*
	 * VARIABLES
	 */

	protected $config = false;
	protected $connectionObject = false;
	protected $connectionResultSet = false;

	/*
	 * METHODS
	 */

	/**
	 * class constructor
	 *
	 * @param	void
	 * @return	void
	 * @author	Christian Doebler <christian.doebler@netways.de>
	 */
	public function __construct () {}

	/**
	 * checks the database configuration
	 *
	 * @param	array		$config				associative array storing configuration
	 * @return	boolean							true if configuration is OK, false on error(s)
	 * @author	Christian Doebler <christian.doebler@netways.de>
	 */
	public function checkConfig ($config) {

		$configOk = true;

		if (array_key_exists('contact_cource', $config) && empty($config['contact_source'])) {
			$config['contact_source'] = false;
			throw new IcingaApiConnectionException('Configuration error: Invalid contact_source!');
			$configOk = false;
		}

		return $configOk;

	}

}

// extend exceptions
class IcingaApiConnectionException extends IcingaApiException {}

?>