<?php

/**
 * 
 * @author Christian Doebler <christian.doebler@netways.de>
 *
 */
class IcingaApiSearchColumnsIdo {

	// RESULT COLUMNS
	public $result = array(
		'PROGRAM_INSTANCE_ID' => 'pe.instance_id',
		'PROGRAM_DATE' => 'pe.program_date',
		'PROGRAM_VERSION' => 'pe.program_version',
		'HOSTGROUP_ID' => 'hg.hostgroup_id',
		'HOSTGROUP_OBJECT_ID' => 'ohg.object_id hostgroup_object_id',
		'HOSTGROUP_INSTANCE_ID' => 'hg.instance_id hostgroup_instance_id',
		'HOSTGROUP_NAME' => 'ohg.name1 hostgroup_name',
		'HOSTGROUP_ALIAS' => 'hg.alias hostgroup_alias',
		'SERVICEGROUP_ID' => 'sg.servicegroup_id',
		'SERVICEGROUP_OBJECT_ID' => 'osg.object_id servicegroup_object_id',
		'SERVICEGROUP_INSTANCE_ID' => 'sg.instance_id servicegroup_instance_id',
		'SERVICEGROUP_NAME' => 'osg.name1 servicegroup_name',
		'SERVICEGROUP_ALIAS' => 'sg.alias servicegroup_alias',
		'CONTACTGROUP_ID' => 'cg.contactgroup_id',
		'CONTACTGROUP_OBJECT_ID' => 'ocg.object_id contactgroup_object_id',
		'CONTACTGROUP_INSTANCE_ID' => 'cg.instance_id contactgroup_instance_id',
		'CONTACTGROUP_NAME' => 'ocg.name1 contactgroup_name',
		'CONTACTGROUP_ALIAS' => 'cg.alias contactgroup_alias',
		'TIMEPERIOD_ID' => 't.timeperiod_id',
		'TIMEPERIOD_OBJECT_ID' => 'ot.object_id timeperiod_object_id',
		'TIMEPERIOD_INSTANCE_ID' => 't.instance_id timeperiod_instance_id',
		'TIMEPERIOD_NAME' => 'ot.name1 timeperiod_name',
		'TIMEPERIOD_ALIAS' => 't.alias timeperiod_alias',
		'TIMEPERIOD_DAY' => 'tt.day timeperiod_day',
		'TIMEPERIOD_STARTTIME' => 'tt.start_sec timeperiod_starttime',
		'TIMEPERIOD_ENDTIME' => 'tt.end_sec timeperiod_endtime',
		'CUSTOMVARIABLE_ID' => 'cv.customvariable_id',
		'CUSTOMVARIABLE_OBJECT_ID' => 'cv.object_id customvariable_object_id',
		'CUSTOMVARIABLE_INSTANCE_ID' => 'cv.instance_id customvariable_instance_id',
		'CUSTOMVARIABLE_NAME' => 'cv.varname customvariable_name',
		'CUSTOMVARIABLE_VALUE' => 'cv.varvalue customvariable_value',
		'CUSTOMVARIABLE_MODIFIED' => 'cvs.has_been_modified customvariable_modified',
		'CUSTOMVARIABLE_UPDATETIME' => 'cvs.status_update_time customvariable_updatetime',
		'HOST_ID' => 'h.host_id',
		'HOST_OBJECT_ID' => 'oh.object_id host_object_id',
		'HOST_INSTANCE_ID' => 'h.instance_id host_instance_id',
		'HOST_NAME' => 'oh.name1 host_name',
		'HOST_ALIAS' => 'h.alias host_alias',
		'HOST_DISPLAY_NAME' => 'h.display_name host_display_name',
		'HOST_ADDRESS' => 'h.address host_address',
		'HOST_ACTIVE_CHECKS_ENABLED' => 'h.active_checks_enabled host_active_checks_enabled',
		'HOST_CONFIG_TYPE' => 'h.config_type host_config_type',
		'HOST_IS_ACTIVE' => 'oh.is_active host_is_active',
		'HOST_OUTPUT' => 'hs.output host_output',
		'HOST_PERFDATA' => 'hs.perfdata host_perfdata',
		'HOST_CURRENT_STATE' => 'hs.current_state host_current_state',
		'HOST_CURRENT_CHECK_ATTEMPT' => 'hs.current_check_attempt host_current_check_attempt',
		'HOST_MAX_CHECK_ATTEMPTS' => 'hs.max_check_attempts host_max_check_attempts',
		'HOST_LAST_CHECK' => 'hs.last_check host_last_check',
		'HOST_LAST_STATE_CHANGE' => 'hs.last_state_change host_last_state_change',
		'HOST_CHECK_TYPE' => 'hs.check_type host_check_type',
		'HOST_LATENCY' => 'hs.latency host_latency',
		'HOST_EXECUTION_TIME' => 'hs.execution_time host_execution_time',
		'HOST_NEXT_CHECK' => 'hs.next_check host_next_check',
		'HOST_HAS_BEEN_CHECKED' => 'hs.has_been_checked host_has_been_checked',
		'HOST_LAST_HARD_STATE_CHANGE' => 'hs.last_hard_state_change host_last_hard_state_change',
		'HOST_LAST_NOTIFICATION' => 'hs.last_notification host_last_notification',
		'HOST_STATE_TYPE' => 'hs.state_type host_state_type',
		'HOST_IS_FLAPPING' => 'hs.is_flapping host_is_flapping',
		'HOST_PROBLEM_HAS_BEEN_ACKNOWLEDGED' => 'hs.problem_has_been_acknowledged host_problem_has_been_acknowledged',
		'HOST_SCHEDULED_DOWNTIME_DEPTH' => 'hs.scheduled_downtime_depth host_scheduled_downtime_depth',
		'HOST_STATUS_UPDATE_TIME' => 'hs.status_update_time host_status_update_time',
		'HOST_EXECUTION_TIME_MIN' => 'min(hs.execution_time) host_min_execution_time',
		'HOST_EXECUTION_TIME_AVG' => 'avg(hs.execution_time) host_avg_execution_time',
		'HOST_EXECUTION_TIME_MAX' => 'max(hs.execution_time) host_max_execution_time',
		'HOST_LATENCY_MIN' => 'min(hs.latency) host_min_latency',
		'HOST_LATENCY_AVG' => 'avg(hs.latency) host_avg_latency',
		'HOST_LATENCY_MAX' => 'max(hs.latency) host_max_latency',
		'HOST_ALL' => 'h.*',
		'HOST_STATUS_ALL' => 'hs.*',
		'SERVICE_ID' => 's.service_id',
		'SERVICE_INSTANCE_ID' => 's.instance_id service_instance_id',
		'SERVICE_CONFIG_TYPE' => 's.config_type service_config_type',
		'SERVICE_IS_ACTIVE' => 'os.is_active service_is_active',
		'SERVICE_OBJECT_ID' => 'os.object_id service_object_id',
		'SERVICE_NAME' => 'os.name2 service_name',
		'SERVICE_DISPLAY_NAME' => 's.display_name service_display_name',
		'SERVICE_NOTIFICATIONS_ENABLED' => 's.notifications_enabled service_notifications_enabled',
		'SERVICE_OUTPUT' => 'ss.output service_output',
		'SERVICE_PERFDATA' => 'ss.perfdata service_perfdata',
		'SERVICE_CURRENT_STATE' => 'ss.current_state service_current_state',
		'SERVICE_CURRENT_CHECK_ATTEMPT' => 'ss.current_check_attempt service_current_check_attempt',
		'SERVICE_MAX_CHECK_ATTEMPTS' => 'ss.max_check_attempts service_max_check_attempts',
		'SERVICE_LAST_CHECK' => 'ss.last_check service_last_check',
		'SERVICE_LAST_STATE_CHANGE' => 'ss.last_state_change service_last_state_change',
		'SERVICE_CHECK_TYPE' => 'ss.check_type service_check_type',
		'SERVICE_LATENCY' => 'ss.latency service_latency',
		'SERVICE_EXECUTION_TIME' => 'ss.execution_time service_execution_time',
		'SERVICE_NEXT_CHECK' => 'ss.next_check service_next_check',
		'SERVICE_HAS_BEEN_CHECKED' => 'ss.has_been_checked service_has_been_checked',
		'SERVICE_LAST_HARD_STATE_CHANGE' => 'ss.last_hard_state_change service_last_hard_state_change',
		'SERVICE_LAST_NOTIFICATION' => 'ss.last_notification service_last_notification',
		'SERVICE_STATE_TYPE' => 'ss.state_type service_state_type',
		'SERVICE_IS_FLAPPING' => 'ss.is_flapping service_is_flapping',
		'SERVICE_PROBLEM_HAS_BEEN_ACKNOWLEDGED' => 'ss.problem_has_been_acknowledged service_problem_has_been_acknowledged',
		'SERVICE_SCHEDULED_DOWNTIME_DEPTH' => 'ss.scheduled_downtime_depth service_scheduled_downtime_depth',
		'SERVICE_STATUS_UPDATE_TIME' => 'ss.status_update_time service_status_update_time',
		'SERVICE_EXECUTION_TIME_MIN' => 'min(ss.execution_time) service_min_execution_time',
		'SERVICE_EXECUTION_TIME_AVG' => 'avg(ss.execution_time) service_avg_execution_time',
		'SERVICE_EXECUTION_TIME_MAX' => 'max(ss.execution_time) service_max_execution_time',
		'SERVICE_LATENCY_MIN' => 'min(ss.latency) service_min_latency',
		'SERVICE_LATENCY_AVG' => 'avg(ss.latency) service_avg_latency',
		'SERVICE_LATENCY_MAX' => 'max(ss.latency) service_max_latency',
		'SERVICE_ALL' => 's.*',
		'SERVICE_STATUS_ALL' => 'ss.*',
		'CONFIG_VAR_ID' => 'cfv.configfilevariable_id config_var_id',
		'CONFIG_VAR_INSTANCE_ID' => 'cfv.instance_id config_var_instance_id',
		'CONFIG_VAR_NAME' => 'cfv.varname config_var_name',
		'CONFIG_VAR_VALUE' => 'cfv.varvalue config_var_value',
	);

	// COLUMNS FOR INSERTION
	public $insert = array(
		'HOSTGROUP_ID' => 'hg.hostgroup_id',
		'HOSTGROUP_OBJECT_ID' => 'ohg.object_id',
		'HOSTGROUP_INSTANCE_ID' => 'hg.instance_id', 
		'HOSTGROUP_NAME' => 'ohg.name1',
		'HOSTGROUP_ALIAS' => 'hg.alias',
		'SERVICEGROUP_ID' => 'sg.servicegroup_id',
		'SERVICEGROUP_OBJECT_ID' => 'osg.object_id',
		'SERVICEGROUP_INSTANCE_ID' => 'sg.instance_id',
		'SERVICEGROUP_NAME' => 'osg.name1',
		'SERVICEGROUP_ALIAS' => 'sg.alias',
		'CONTACTGROUP_ID' => 'cg.contactgroup_id',
		'CONTACTGROUP_OBJECT_ID' => 'ocg.object_id',
		'CONTACTGROUP_INSTANCE_ID' => 'cg.instance_id',
		'CONTACTGROUP_NAME' => 'ocg.name1',
		'CONTACT_NAME' => 'oc.name1',
		'TIMEPERIOD_ID' => 't.timeperiod_id',
		'TIMEPERIOD_OBJECT_ID' => 'ot.object_id',
		'TIMEPERIOD_INSTANCE_ID' => 't.instance_id',
		'TIMEPERIOD_NAME' => 'ot.name1',
		'TIMEPERIOD_ALIAS' => 't.alias',
		'TIMEPERIOD_DAY' => 'tt.day',
		'TIMEPERIOD_STARTTIME' => 'tt.start_sec',
		'TIMEPERIOD_ENDTIME' => 'tt.end_sec',
		'CUSTOMVARIABLE_ID' => 'cv.customvariable_id',
		'CUSTOMVARIABLE_OBJECT_ID' => 'cv.object_id',
		'CUSTOMVARIABLE_INSTANCE_ID' => 'cv.instance_id',
		'CUSTOMVARIABLE_NAME' => 'cv.varname',
		'CUSTOMVARIABLE_VALUE' => 'cv.varvalue',
		'CUSTOMVARIABLE_MODIFIED' => 'cvs.has_been_modified',
		'CUSTOMVARIABLE_UPDATETIME' => 'cvs.status_update_time',
		'HOST_ID' => 'h.host_id',
		'HOST_OBJECT_ID' => 'oh.object_id',
		'HOST_INSTANCE_ID' => 'h.instance_id',
		'HOST_NAME' => 'oh.name1',
		'HOST_ALIAS' => 'h.alias',
		'HOST_DISPLAY_NAME' => 'h.display_name',
		'HOST_ADDRESS' => 'h.address',
		'HOST_ACTIVE_CHECKS_ENABLED' => 'h.active_checks_enabled',
		'HOST_CONFIG_TYPE' => 'h.config_type',
		'HOST_IS_ACTIVE' => 'oh.is_active',
		'HOST_OUTPUT' => 'hs.output',
		'HOST_PERFDATA' => 'hs.perfdata',
		'HOST_CURRENT_STATE' => 'hs.current_state',
		'HOST_CURRENT_CHECK_ATTEMPT' => 'hs.current_check_attempt',
		'HOST_MAX_CHECK_ATTEMPTS' => 'hs.max_check_attempts',
		'HOST_LAST_CHECK' => 'hs.last_check',
		'HOST_LAST_STATE_CHANGE' => 'hs.last_state_change',
		'HOST_CHECK_TYPE' => 'hs.check_type',
		'HOST_LATENCY' => 'hs.latency',
		'HOST_EXECUTION_TIME' => 'hs.execution_time',
		'HOST_NEXT_CHECK' => 'hs.next_check',
		'HOST_HAS_BEEN_CHECKED' => 'hs.has_been_checked',
		'HOST_LAST_HARD_STATE_CHANGE' => 'hs.last_hard_state_change',
		'HOST_LAST_NOTIFICATION' => 'hs.last_notification',
		'HOST_STATE_TYPE' => 'hs.state_type',
		'HOST_IS_FLAPPING' => 'hs.is_flapping',
		'HOST_PROBLEM_HAS_BEEN_ACKNOWLEDGED' => 'hs.problem_has_been_acknowledged',
		'HOST_SCHEDULED_DOWNTIME_DEPTH' => 'hs.scheduled_downtime_depth',
		'HOST_STATUS_UPDATE_TIME' => 'hs.status_update_time',
		'SERVICE_ID' => 's.service_id',
		'SERVICE_CONFIG_TYPE' => 's.config_type',
		'SERVICE_INSTANCE_ID' => 's.instance_id',
		'SERIVCE_IS_ACTIVE' => 'os.is_active',
		'SERVICE_OBJECT_ID' => 'os.object_id',
		'SERVICE_NAME' => 'os.name2',
		'SERVICE_DISPLAY_NAME' => 's.display_name',
		'SERVICE_NOTIFICATIONS_ENABLED' => 's.notifications_enabled',
		'SERVICE_OUTPUT' => 'ss.output',
		'SERVICE_PERFDATA' => 'ss.perfdata',
		'SERVICE_CURRENT_STATE' => 'ss.current_state',
		'SERVICE_CURRENT_CHECK_ATTEMPT' => 'ss.current_check_attempt',
		'SERVICE_MAX_CHECK_ATTEMPTS' => 'ss.max_check_attempts',
		'SERVICE_LAST_CHECK' => 'ss.last_check',
		'SERVICE_LAST_STATE_CHANGE' => 'ss.last_state_change',
		'SERVICE_CHECK_TYPE' => 'ss.check_type',
		'SERVICE_LATENCY' => 'ss.latency',
		'SERVICE_EXECUTION_TIME' => 'ss.execution_time',
		'SERVICE_NEXT_CHECK' => 'ss.next_check',
		'SERVICE_HAS_BEEN_CHECKED' => 'ss.has_been_checked',
		'SERVICE_LAST_HARD_STATE_CHANGE' => 'ss.last_hard_state_change',
		'SERVICE_LAST_NOTIFICATION' => 'ss.last_notification',
		'SERVICE_STATE_TYPE' => 'ss.state_type',
		'SERVICE_IS_FLAPPING' => 'ss.is_flapping',
		'SERVICE_PROBLEM_HAS_BEEN_ACKNOWLEDGED' => 'ss.problem_has_been_acknowledged',
		'SERVICE_SCHEDULED_DOWNTIME_DEPTH' => 'ss.scheduled_downtime_depth',
		'SERVICE_STATUS_UPDATE_TIME' => 'ss.status_update_time',
		'CONFIG_VAR_ID' => 'cfv.configfilevariable_id',
		'CONFIG_VAR_INSTANCE_ID' => 'cfv.instance_id',
		'CONFIG_VAR_NAME' => 'cfv.varname',
		'CONFIG_VAR_VALUE' => 'cfv.varvalue',
	);
	
}

?>
